SynchToAsynchChannelServerAdapter (ActiveIO 1.0 API)
Keywords: org.activeio.adapter.SynchToAsynchChannelServerAdapter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.adapter
Class SynchToAsynchChannelServerAdapter

    java.lang.Object
      org.activeio.adapter.SynchToAsynchChannelServerAdapter

All Implemented Interfaces:
  AsynchChannelServer, Channel, ChannelServer, Disposable, java.lang.Runnable, Service

public final class SynchToAsynchChannelServerAdapter
extends java.lang.Object
implements AsynchChannelServer, java.lang.Runnable

Adapts a `org.activeio,SynchChannelServer` so that it provides an `AsynchChannelServer` interface. When this channel is started, a background thread is used to poll the (@see org.activeio.SynchChannelServer} for accepted channel connections which are then delivered to the `org.activeio.AcceptConsumer`.

Version:
  $Revision$

Field Summary

Fields inherited from interface org.activeio.Service
`NO_WAIT_TIMEOUT, WAIT_FOREVER_TIMEOUT`

Constructor Summary
`SynchToAsynchChannelServerAdapter(SynchChannelServer synchServer)`
`SynchToAsynchChannelServerAdapter(SynchChannelServer synchServer, EDU.oswego.cs.dl.util.concurrent.Executor executor)`

Method Summary
`static AsynchChannelServer` | `adapt(ChannelServer channel)`
`static AsynchChannelServer` | `adapt(ChannelServer channel, EDU.oswego.cs.dl.util.concurrent.Executor executor)`
`void` | `dispose()` This method should not throw any exceptions.
`java.net.URI` | `getBindURI()` The URI that was used when the channel was bound.
`java.net.URI` | `getConnectURI()` Once bound, the channel may be able to construct a URI that is more sutible for when a client needs to connect to the server.
`SynchChannelServer` | `getSynchChannelServer()`
`java.lang.Object` | `narrow(java.lang.Class target)` Since a Channel may be composed from a chain of other Channel obejcts, this method allows you to query the chain for the specified interface.
`void` | `run()`
`void` | `setAcceptListener(AcceptListener acceptListener)` Registers an AcceptListener which is notified of accepted channels.
`void` | `start()` Starts the channel.
`void` | `stop(long timeout)` Stops the channel.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SynchToAsynchChannelServerAdapter

    public SynchToAsynchChannelServerAdapter(SynchChannelServer synchServer)

### SynchToAsynchChannelServerAdapter

    public SynchToAsynchChannelServerAdapter(SynchChannelServer synchServer,
                                             EDU.oswego.cs.dl.util.concurrent.Executor executor)

Method Detail

### adapt

    public static AsynchChannelServer adapt(ChannelServer channel)

### adapt

    public static AsynchChannelServer adapt(ChannelServer channel,
                                            EDU.oswego.cs.dl.util.concurrent.Executor executor)

### start

    public void start()
               throws java.io.IOException

  Description copied from interface: `Service`
  Starts the channel. Once started, the channel is in the running state.

  Specified by:
    `start` in interface `Service`
  Throws:
    `java.io.IOException`

### stop

    public void stop(long timeout)
              throws java.io.IOException

  Description copied from interface: `Service`
  Stops the channel. Once stopped, the channel is in the stopped state.

  Specified by:
    `stop` in interface `Service`
  Parameters:
    `timeout` - The amount of time the channel is allowed to take to gracefully stop. If the timeout is exceeded, the channel should do a forcefull stop.
  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### setAcceptListener

    public void setAcceptListener(AcceptListener acceptListener)

  Description copied from interface: `AsynchChannelServer`
  Registers an AcceptListener which is notified of accepted channels.

  Specified by:
    `setAcceptListener` in interface `AsynchChannelServer`
  Parameters:
    `acceptListener` -
  See Also:
    `AsynchChannelServer.setAcceptListener(org.activeio.AcceptListener)`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  This method should not throw any exceptions. Cleaning up a Disposable object should be easy of an end user therefore do not make him have to handle an Exception.

  Specified by:
    `dispose` in interface `Disposable`
  See Also:
    `Disposable.dispose()`

### getBindURI

    public java.net.URI getBindURI()

  Description copied from interface: `ChannelServer`
  The URI that was used when the channel was bound. This could be different than what is used by a client to connect to the ChannelServer. For example, the bind URI might be tcp://localhost:0 which means the channel should bind to an anonymous port.

  Specified by:
    `getBindURI` in interface `ChannelServer`
  Returns:
    The URI that was used when the channel was bound

### getConnectURI

    public java.net.URI getConnectURI()

  Description copied from interface: `ChannelServer`
  Once bound, the channel may be able to construct a URI that is more sutible for when a client needs to connect to the server. For examle the port of the URI may be updated to reflect the actual local port that the channel server is listening on.

  Specified by:
    `getConnectURI` in interface `ChannelServer`
  Returns:
    a URI that a client can use to connect to the server or null if the channel cannot construct the URI.

### getSynchChannelServer

    public SynchChannelServer getSynchChannelServer()

### narrow

    public java.lang.Object narrow(java.lang.Class target)

  Description copied from interface: `Channel`
  Since a Channel may be composed from a chain of other Channel obejcts, this method allows you to query the chain for the specified interface. The first Channel in the chain the implments the requested interface will be return an implementing object. If no Channel in the chain implements the requested class, then null is returned.

  Specified by:
    `narrow` in interface `Channel`

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.